# -*- coding: utf-8 -*-
from setuphelpers import *
import tarfile
import zipfile

bin_path = makepath("/", "usr", "local", "bin")
app_path = "/opt/freeplane"

def install():
    filename = glob.glob("*.zip")[0]
    extract_path = makepath(app_path, "temp_extracted")
    if not isdir(extract_path):
        mkdirs(extract_path)
    
    with zipfile.ZipFile(filename, "r") as zip_ref:
        zip_ref.extractall(extract_path)

    if not isdir(app_path):
        mkdirs(app_path)
    
    copytree2(extract_path, app_path)
    
    # Symlink
    if not isfile(f"{bin_path}/freeplane"):
        print("Creation of symlink in the PATH")
        os.symlink(f"{app_path}/freeplane", f"{bin_path}/freeplane")

    # cleanup extract_path
    if isdir(extract_path):
        remove_tree(extract_path)
    

def uninstall():
    # Removing of symlink
    if isfile(f"{bin_path}/freeplane"):
        remove_file(f"{bin_path}/freeplane")
    # Removing of the software 
    if isdir(app_path):
        remove_tree(app_path)
